<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
  $vg_empresa=1;
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	

include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$sql_entrada= mysqli_query($conseg,"select login,nombre,perfil,programa,cedula,pais from permiso     
						where login='".$vg_login."'  and programa=".$vg_programa."");
while($datos= mysqli_fetch_row($sql_entrada))
		{ $vg_nombre=$datos[1];
		  $vg_perfil=$datos[2];				
		} 
//permisos a formularios
$modulo="DOCUMENTOS";
$permisos=validar_permiso($vg_login,$modulo,$vg_perfil,$vg_programa);
include "../permisos.php";
$valpermiso=F_permiso($permisos);
/*
if($valpermiso[0]==1){}
else
{echo "<script>";
echo "window.location='../erroracceso.php?formulario=Documento_aprobacion';";
echo "</script>";
}
*/
include "../parametros.php";
include "../conexion.php";
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title><?php echo $nombreprograma; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="icon" type="image/png" href="../icono.ico"/>
<link href="../general.css" rel="stylesheet" type="text/css">
<script src="../js/jquery.min.js"></script>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>

	<link rel="stylesheet" type="text/css" href="../src/plugins/datatables/css/dataTables.bootstrap4.min.css">
	<link rel="stylesheet" type="text/css" href="../src/plugins/datatables/css/responsive.bootstrap4.min.css">

 <link rel="stylesheet" href="../toastn/style.css">
 <script src="../toastn/cute-alert.js"></script>
</head>
<body>
<?php

 $sql_user= mysqli_query($conseg,"select email,cargo,nombre,apellido,tipo from usuario   where login='".$vg_login."'");
 while($datos= mysqli_fetch_row($sql_user))
 	{ $vg_email=$datos[0];
	  $vg_cargo=$datos[1];
	  $vg_nombre=$datos[2]." ".$datos[3];
	  $tipo=$datos[4];
	}


if(isset($_REQUEST["oculto"]))
{
	//reporte 1 facpro
		if($_REQUEST["omodificarrep1"]==1)
			 {    $paso=0;$error=0;
				  $c=1;   $canti=$_REQUEST["cantireg"];
				  while($c<=$canti)
				   {  
					   if(isset($_REQUEST['ch'.$c])) {$val=1; }  else {$val=0;} 
					   $id=$_REQUEST['idfp'.$c];
					   $obs=$_REQUEST['obsfp'.$c];
					   $rscoddoc=$_REQUEST['coddoc'.$c];
				   
					   if($val==1)
						{
						  $sql_update1=mysqli_query($conexion,"update documento_aprobar set  estado='A',fechaaprobo='".$fecsis."',horaaprobo='".$horasis."',observacionestado='".$obs."',usuarioaprobo='".$vg_login."'	
						                                        where documento='".$id."' and coddoc='".$rscoddoc."' and empresa='".$vg_empresa."'");
						  if($sql_update1)								  
						  {
						 	$sql_update=mysqli_query($conexion,"update documento set  estado='109',observacionestado='' where id='".$id."' and empresa='".$vg_empresa."'");
						 	                                     
    						 	if($rscoddoc=='rc' || $rscoddoc=='eg')                                     
    						 	{   $iddocumento="";$idcoddoc="";
    						 	    
    						 	    $sql_datos =mysqli_query($conexion,"select iddocumento,idcoddoc  from documento_item  where documento='".$id."' and coddoc='".$rscoddoc."' and empresa='".$vg_empresa."'");
        							while($datos= mysqli_fetch_row($sql_datos))
        							  {  $iddocumento=$datos[0]; 
        							     $idcoddoc=$datos[1];  
        							  }    

                                    $rs_sql=mysqli_query($conexion,"SELECT neto FROM documento where id='".$iddocumento."' and coddoc='".$idcoddoc."' and empresa='".$vg_empresa."'");
        				            while($datoses= mysqli_fetch_row($rs_sql)){ $netotes=$datoses[0];} 
    			                         //echo $netotes." - ".$valoridcoddoc."<br>";
    			                         
    						 	    $sql_datos =mysqli_query($conexion,"select sum(valor)  from documento_item  where iddocumento='".$iddocumento."' and idcoddoc='".$idcoddoc."' and empresa='".$vg_empresa."'");
        							while($datos= mysqli_fetch_row($sql_datos))
        							  {  $valoridcoddoc=$datos[0];  
        							  }
        							 
        							 if($valoridcoddoc==$netotes)
    			                         {
            			                    //validamos que el valor del item sea el valor total de la fe
            						 	    $sql_update=mysqli_query($conexion,"update documento set  estado='111',observacionestado=''
        						 	                                             where id='".$iddocumento."' and coddoc='".$idcoddoc."' and empresa='".$vg_empresa."'");         
        						 	        // echo "<br>111";                                 
    			                         }
    			                         else
    			                         {
            			                    //validamos que el valor del item sea el valor total de la fe
            						 	    $sql_update=mysqli_query($conexion,"update documento set  estado='112',observacionestado=''
        						 	                                             where id='".$iddocumento."' and coddoc='".$idcoddoc."' and empresa='".$vg_empresa."'");         
        						 	        //echo "<br>112";                                                                      
    			                         }
    						 	}
    						 	
    						 	
							  if($sql_update)								  
							   {
									 $mensaje="Documento Contabilizado";
									 $paso=1;
							   }
							 else
							   {
								   $error=1;
								   $mensaje="Error al Contabilizar Documento";
							   }
						  }
					   }
					$c++;
				   } 
				   
				   if($paso==1)
				   {
						?>				  
						<script>
						cuteToast({
							  type: "success", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 4000
							})
						</script>
					   <?php
				   }
				 
				 if($error==1)
				   {
						?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 4000
							})
						</script>
					   <?php
				   }
								   
			 }//fin guardar
			 
		if($_REQUEST["orechazarrep1"]==1)
			 {  $paso=0;
				  $c=1; $canti=$_REQUEST["cantireg"];
				  while($c<=$canti)
				   {  
					   if(isset($_REQUEST['ch'.$c])) {$val=1; }  else {$val=0;} 
					   $id=$_REQUEST['idfp'.$c];
					   $obs=$_REQUEST['obsfp'.$c];
					   $rscoddoc=$_REQUEST['coddoc'.$c];
					   if($val==1)
						{
						  $sql_update=mysqli_query($conexion,"update documento set  estado='107',observacionestado='".$obs."' 
						  									    where id='".$id."' and empresa='".$vg_empresa."'");
						  if($sql_update)
						   {
								$mensaje="Solicitud Rechazada";
								$paso=1;
								//quitamos los aprobadores
								$sql_update=mysqli_query($conexion,"delete from documento_aprobar where documento='".$id."' and coddoc='".$rscoddoc."' and empresa='".$vg_empresa."'");
								
								if($rscoddoc=='rc')                                     
    						 	{
    						 	    $sql_datos =mysqli_query($conexion,"select consecutivo  from documento  where id='".$id."' and empresa='".$vg_empresa."'");
        							while($datos= mysqli_fetch_row($sql_datos)){ $consecutivorc=$datos[0];  }
        						   
    						 	    $sql_update=mysqli_query($conexion,"update tesoreria set  estado='107',observacionestado='".$obs."' 
						 	                                             where consecutivo='".$consecutivorc."' and coddoc='".$rscoddoc."' and empresa='".$vg_empresa."'");
    						 	}
							  ?>				  
							   <?php
						   }
																		
					   }
					$c++;
				   } 
				   
				   if($paso==1)
				   {
						?>				  
						<script>
						cuteToast({
							  type: "success", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 4000
							})
						</script>
					   <?php
				   }
				   
			 }//fin guardar	 
	//fin
}
?>
<form name="form1" method="post" action="">
<center> 
<input name="buscar" type="submit" class="btn btn-primary" id="buscar"  value="Refresh"  />
 <input name="Aprobar" type="submit" class="btn btn-primary" id="Aprobar"  value="Aprobar" onClick="omodificarrep1.value=1;"  />
 <input name="rechazar" type="submit" class="btn btn-primary" id="rechazar"  value="Rechazar" onClick="orechazarrep1.value=1;"  />

        <table id="example1" class="table table-bordered table-striped" style="font-size:12px; width:100%" cellpadding='0' cellspacing='0'  bordercolor='#cccccc'>
                        <thead>
                            <tr class="btn-primary">
                                <th width='25%'></th>
                                <th width='10%'>TIPO DOCUMENTO</th>
                                <th width='10%'>CONSECUTIVO</th>
                                <th width='60%'>DETALLE</th>
                            </tr>
                        </thead>
                        <tbody>
<?php
 
 		$c=1;	
		$sql_datos =mysqli_query($conexion,"select  tipodocumento, consecutivo, proveedor, usurio_doc, factura, fechafactura, locacion, area, 
    												estado, anticipo, municipio, observaciones, id,vencimiento,coddoc
    												FROM documento
    												where empresa='".$vg_empresa."' and estado='108'");
					while($datos= mysqli_fetch_row($sql_datos))
					{ 
						$tipodocumento=$datos[0]; 						
						$consecutivo=$datos[1]; 	
						$proveedor=$datos[2]; 	
						$usurio_doc=$datos[3]; 	
						$factura=$datos[4]; 	
						$fechafactura=$datos[5]; 	
						$locacion=$datos[6]; 	
						$area=$datos[7]; 	
						$estado=$datos[8]; 	
						$anticipo=$datos[9]; 	
						$municipio=$datos[10]; 	
						$observaciones=$datos[11]; 							
						$rsid=$datos[12]; 	
						$vencimiento=$datos[13]; 							
						$coddoc=$datos[14]; 	
						$ncoddoc="";
		                
		                $rs_sql=mysqli_query($conexion,"SELECT nombre FROM par_documentos where prefijo='".$coddoc."'");
						while($datoses= mysqli_fetch_row($rs_sql)){ $ncoddoc=$datoses[0];}
						
						$rs_sql=mysqli_query($conexion,"SELECT nombre,numero FROM par_tipodocumentos where id='".$tipodocumento."'");
						while($datoses= mysqli_fetch_row($rs_sql)){ $Ntipodocumento=$datoses[0]."-".$datoses[1];}
						
						$rs_sql=mysqli_query($conexion,"SELECT nombre from tercero where id='".$proveedor."'");
						while($datoses= mysqli_fetch_row($rs_sql)){ $nproveedor=$datoses[0];}
			
						$rs_sql=mysqli_query($conexion,"SELECT nombre FROM par_locacion where id='".$locacion."'");
						while($datoses= mysqli_fetch_row($rs_sql)){ $nlocacion=$datoses[0];}
			
						$rs_sql=mysqli_query($conexion,"SELECT nombre FROM par_area where id='".$area."'");
						while($datoses= mysqli_fetch_row($rs_sql)){ $narea=$datoses[0];}
			
						$rs_sql=mysqli_query($conexion,"SELECT nombre FROM par_generales where tipo='documento' and id='".$estado."'");
						while($datoses= mysqli_fetch_row($rs_sql)){ $nestado=$datoses[0];}
						
						$rs_sql=mysqli_query($conexion,"SELECT nombre FROM departamento where id='".$departamento."'");
						while($datoses= mysqli_fetch_row($rs_sql)){ $ndepartamento=$datoses[0];}
			
						$rs_sql=mysqli_query($conexion,"SELECT nombre FROM municipio where codigo='".$municipio."'");
						while($datoses= mysqli_fetch_row($rs_sql)){ $nmunicipio=$datoses[0];}
                        $contar=0;
                        
                        $carpeta='';
                         if($coddoc=='fe' || $coddoc=='ncfe' || $coddoc=='ndfe'){$carpeta='../facturacion/';}
                         if($coddoc=='rc' || $coddoc=='eg'){$carpeta='../tesoreria/';}
                         if($coddoc=='cm' || $coddoc=='leg'){$carpeta='../reembolso/';}
                        
            		   echo " <tr>";
            			 echo "<td align='center'> 
            			 <input type='checkbox' name='ch$c'>
            			 <input name='idfp$c' type='hidden' id='idfp$c'  value='$rsid'>
            			 <input name='coddoc$c' type='hidden' id='coddoc$c'  value='$coddoc'>
            			 <br>
            			 <textarea name='obsfp$c' id='obsfp$c' cols='80' rows='4'>$obss</textarea>
            			 ".$rsid."<br>";
            			 ?>
            			 <img src="../imagenes/imprimir.png" width="50px" height="50px" onclick="javascript:window.open('<?php echo $carpeta;?>documento_imprime.php?documento=<?php echo $rsid; ?>&td=<?php echo $coddoc;?>','impdoc','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=1000,height=600');"  />
            			 <?php
            			 echo "</td>";			 
            			 echo "<td align='center'>".$ncoddoc."</td>";
            			 echo "<td align='center'>$Ntipodocumento-".$consecutivo."</td>";			 
            			 echo "<td align='center'>";
            			 	echo "<table width='100%' border='1'>";
            				echo "<tr><td>Tercero</td><td>$nproveedor</td></tr>";
            				echo "<tr><td>Factura</td><td>$factura</td></tr>";
            				echo "<tr><td>Fecha Factura</td><td>$fechafactura</td></tr>";
            				echo "<tr><td>Vencimiento</td><td>$vencimiento</td></tr>";
            				echo "<tr><td>Locacion</td><td>$nlocacion</td></tr>";
            				echo "<td>Area</td><td>$narea</td></tr>";
            				echo "<tr><td>Ubicacion</td><td>$nmunicipio</td></tr>";
            				echo "<tr><td>Observacion</td><td>$observaciones</td</tr>";
            				echo "<tr><td>Creo</td><td>$usurio_doc</td</tr>";
            				echo "</table>";
            			 echo "</td>";	
            		  echo "</tr>";
            		  $c++;
                      
	 }
 	echo "</tbody></table></center>";
 		 $canti=$c-1;
		 echo "<input type='text' name='cantireg' value='$canti' readonly size='10'>";			
 
 
?>
	
		
  <input name="ocan" type="hidden" id="ocan">
    <input name="oculto" type="hidden" id="oculto">
    <input name="omodificarrep1" type="hidden" id="omodificarrep1">
    <input name="orechazarrep1" type="hidden" id="orechazarrep1">
    
   
<script src="../plugins1/jquery/jquery.min.js"></script>
<script src="../plugins1/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="../plugins1/datatables/jquery.dataTables.min.js"></script>
<script src="../plugins1/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="../plugins1/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="../plugins1/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="../plugins1/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="../plugins1/jszip/jszip.min.js"></script>
<script src="../plugins1/pdfmake/pdfmake.min.js"></script>
<script src="../plugins1/pdfmake/vfs_fonts.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.print.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.colVis.min.js"></script>
<script>
  $(function () {
    $("#example1").DataTable({
      "responsive": true, "lengthChange": false, "autoWidth": false,
      "buttons": [],
	  "order": [ 0, 'desc' ]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
   
  });
</script>
</form>
</body>
</html>